package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.util.List;

@ApiModel
public class DrpPurDismantleGenerateInquiryDTO {
   @ApiModelProperty("采购计划单号")
   private @NotBlank(
   message = "采购计划单号不能为空!"
) String planId;
   @ApiModelProperty("供应商集合id")
   private Long supplierId;
   @ApiModelProperty("货品集合")
   private List<DrpPurDismantleGenerateInquiryMaterialDTO> materialList;

   public String getPlanId() {
      return this.planId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public List<DrpPurDismantleGenerateInquiryMaterialDTO> getMaterialList() {
      return this.materialList;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setMaterialList(final List<DrpPurDismantleGenerateInquiryMaterialDTO> materialList) {
      this.materialList = materialList;
   }

}
